Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom
Class AbstractDocument.DocumentError

    java.lang.Object
      org.apache.batik.dom.AbstractDocument.DocumentError

All Implemented Interfaces:
  DOMError

Enclosing class:
  AbstractDocument

    protected class AbstractDocument.DocumentError

extends Object
implements DOMError

DOMError implementation.

Nested Class Summary
`protected class` | `AbstractDocument.DocumentError.ErrorLocation` The DOMLocator implementation.

Field Summary
`protected DOMLocator` | `domLocator` The DOMLocator for this error.
`protected String` | `message` The error message.
`protected Object` | `relatedException` The exception which cuased this error.
`protected Node` | `relatedNode` The error related data.
`protected short` | `severity` The error severity.
`protected String` | `type` The error type.

Fields inherited from interface org.w3c.dom.DOMError
`SEVERITY_ERROR, SEVERITY_FATAL_ERROR, SEVERITY_WARNING`

Constructor Summary
`AbstractDocument.DocumentError(String type, short severity, String message, Node relatedNode, Exception relatedException)` Creates a new DocumentError object.

Method Summary
`DOMLocator` | `getLocation()`
`String` | `getMessage()`
`Object` | `getRelatedData()`
`Object` | `getRelatedException()`
`short` | `getSeverity()`
`String` | `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    protected String type

  The error type.

### severity

    protected short severity

  The error severity.

### message

    protected String message

  The error message.

### relatedNode

    protected Node relatedNode

  The error related data.

### relatedException

    protected Object relatedException

  The exception which cuased this error.

### domLocator

    protected DOMLocator domLocator

  The DOMLocator for this error.

Constructor Detail

### AbstractDocument.DocumentError

    public AbstractDocument.DocumentError(String type,
                                          short severity,
                                          String message,
                                          Node relatedNode,
                                          Exception relatedException)

  Creates a new DocumentError object.

Method Detail

### getType

    public String getType()

  Specified by:
    `getType` in interface `DOMError`

### getSeverity

    public short getSeverity()

  Specified by:
    `getSeverity` in interface `DOMError`

### getMessage

    public String getMessage()

  Specified by:
    `getMessage` in interface `DOMError`

### getRelatedData

    public Object getRelatedData()

  Specified by:
    `getRelatedData` in interface `DOMError`

### getRelatedException

    public Object getRelatedException()

  Specified by:
    `getRelatedException` in interface `DOMError`

### getLocation

    public DOMLocator getLocation()

  Specified by:
    `getLocation` in interface `DOMError`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.